package summarymeasures;

import java.awt.Dimension;
import javax.swing.JLabel;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

/**
 * OutputField.java
 * Created by Stijn Strickx on Mar. 2 2008
 * Copyright 2008 Stijn Strickx, All rights reserved
 */
public class OutputField extends JLabel implements ChangeListener{
    
    private OutputModel model;
    
    public OutputField(OutputModel model){
        super(model.getOutput() + " ");
        setHorizontalAlignment(JLabel.RIGHT);
        setPreferredSize(new Dimension(150,20));
        
        this.model = model;
        model.addChangeListener(this);
    }
    public void stateChanged(ChangeEvent e) {
        setText(model.getOutput() + " ");
    }
}
